
Core - Feature # 13229

Epic # 61834 (Accepted): Create future proof Content Element with strong default
Task # 61836 (Accepted): Reorganize Content Element properties within backend Extension
Task # 61842 (New): Refactor CSS-Styled-Content + Content Elements

Status: Accepted Priority: Must have
Author: Patrick Broens Category: Form Wizard
Created: 2011-02-21 Assigned To: Patrick Broens
Updated: 2015-07-20 Due date:
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: tt_content.login.20 should be done with the new FORM mapping
Description

Problem:
Currently the standard CSS_Styled_Content login form, tt_content.login.20 is using the old mapping. This should be changed, so it
uses the new mapping.

One of the problems with using the new mapping is the prefix is always used in the field names. It should be configurable to turn the
prefix off. In the core the login logic is done in the class 't3lib_userAuth'.

Also check how the form handles the situation when somebody is already logged in. It might be we need a preprocessor for this, so
the whole form will be skipped when the user is logged in.

Related issues:
related to Core - Feature # 13230: tt_content.search.20 should be done with t... Needs Feedback2011-02-21
related to Core - Feature # 12958: use Form for user registration New 2011-02-10

History
#1 - 2011-10-18 22:52 - Oliver Hader
- Tags set to FormWizard

#2 - 2011-10-18 22:54 - Oliver Hader
- Project changed from Form to Core

#3 - 2011-10-18 22:57 - Oliver Hader
- Category set to Form Wizard

#4 - 2011-10-18 23:09 - Oliver Hader
- Tracker changed from Bug to Feature
- Target version set to 4.7.0
- PHP Version set to 5.3
- TYPO3 Version set to 4.6

#5 - 2012-03-05 17:36 - Steffen Ritter
- Target version deleted (4.7.0)

#6 - 2014-09-24 12:23 - Felix Kopp
- Parent task set to #61842

#7 - 2015-07-19 12:45 - Bjoern Jacob
- Category changed from Form Wizard to PRJ: Forms

#8 - 2015-07-20 17:24 - Bjoern Jacob
- Category changed from PRJ: Forms to Form Wizard
